using System;
using System.Xml.Linq;

internal sealed class Delegate680 : MulticastDelegate
{
	public extern XName Invoke(object object_0);

	public static XName smethod_0(object object_0, Delegate680 delegate680_1)
	{
		return delegate680_1(object_0);
	}

	public extern Delegate680(object object_0, IntPtr intptr_0);

	static Delegate680()
	{
		Class10.smethod_13(typeof(Delegate680).TypeHandle);
	}

	internal static Delegate680 delegate680_0;
}
